UbixOS V2 2.0

Data Fields
sys_sysctl_args Struct Reference

`#include <sysproto_posix.h>`

Collaboration diagram for sys_sysctl_args:

## Data Fields
int * | name
char | name_l_ [0]
char | name_r_ [(sizeof(register_t)<=sizeof(int *) ? 0 :sizeof(register_t) - sizeof(int *))]
u_int | namelen
char | namelen_l_ [0]
char | namelen_r_ [(sizeof(register_t)<=sizeof(u_int) ? 0 :sizeof(register_t) - sizeof(u_int))]
size_t | newlenp
char | newlenp_l_ [0]
char | newlenp_r_ [(sizeof(register_t)<=sizeof(size_t) ? 0 :sizeof(register_t) - sizeof(size_t))]
void * | newp
char | newp_l_ [0]
char | newp_r_ [(sizeof(register_t)<=sizeof(void *) ? 0 :sizeof(register_t) - sizeof(void *))]
size_t * | oldlenp
char | oldlenp_l_ [0]
char | oldlenp_r_ [(sizeof(register_t)<=sizeof(size_t *) ? 0 :sizeof(register_t) - sizeof(size_t *))]
void * | oldp
char | oldp_l_ [0]
char | oldp_r_ [(sizeof(register_t)<=sizeof(void *) ? 0 :sizeof(register_t) - sizeof(void *))]

## Detailed Description

Definition at line 229 of file sysproto_posix.h.

## Field Documentation

## ◆ name

int* sys_sysctl_args::name

Definition at line 231 of file sysproto_posix.h.

## ◆ name_l_

char sys_sysctl_args::name_l_[0]

Definition at line 230 of file sysproto_posix.h.

## ◆ name_r_

char sys_sysctl_args::name_r_[(sizeof(register_t)<=sizeof(int *) ? 0 :sizeof(register_t) - sizeof(int *))]

Definition at line 232 of file sysproto_posix.h.

## ◆ namelen

u_int sys_sysctl_args::namelen

Definition at line 234 of file sysproto_posix.h.

## ◆ namelen_l_

char sys_sysctl_args::namelen_l_[0]

Definition at line 233 of file sysproto_posix.h.

## ◆ namelen_r_

char sys_sysctl_args::namelen_r_[(sizeof(register_t)<=sizeof(u_int) ? 0 :sizeof(register_t) - sizeof(u_int))]

Definition at line 235 of file sysproto_posix.h.

## ◆ newlenp

size_t sys_sysctl_args::newlenp

Definition at line 246 of file sysproto_posix.h.

## ◆ newlenp_l_

char sys_sysctl_args::newlenp_l_[0]

Definition at line 245 of file sysproto_posix.h.

## ◆ newlenp_r_

char sys_sysctl_args::newlenp_r_[(sizeof(register_t)<=sizeof(size_t) ? 0 :sizeof(register_t) - sizeof(size_t))]

Definition at line 247 of file sysproto_posix.h.

## ◆ newp

void* sys_sysctl_args::newp

Definition at line 243 of file sysproto_posix.h.

## ◆ newp_l_

char sys_sysctl_args::newp_l_[0]

Definition at line 242 of file sysproto_posix.h.

## ◆ newp_r_

char sys_sysctl_args::newp_r_[(sizeof(register_t)<=sizeof(void *) ? 0 :sizeof(register_t) - sizeof(void *))]

Definition at line 244 of file sysproto_posix.h.

## ◆ oldlenp

size_t* sys_sysctl_args::oldlenp

Definition at line 240 of file sysproto_posix.h.

## ◆ oldlenp_l_

char sys_sysctl_args::oldlenp_l_[0]

Definition at line 239 of file sysproto_posix.h.

## ◆ oldlenp_r_

char sys_sysctl_args::oldlenp_r_[(sizeof(register_t)<=sizeof(size_t *) ? 0 :sizeof(register_t) - sizeof(size_t *))]

Definition at line 241 of file sysproto_posix.h.

## ◆ oldp

void* sys_sysctl_args::oldp

Definition at line 237 of file sysproto_posix.h.

## ◆ oldp_l_

char sys_sysctl_args::oldp_l_[0]

Definition at line 236 of file sysproto_posix.h.

## ◆ oldp_r_

char sys_sysctl_args::oldp_r_[(sizeof(register_t)<=sizeof(void *) ? 0 :sizeof(register_t) - sizeof(void *))]

Definition at line 238 of file sysproto_posix.h.

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/sys/sysproto_posix.h